package com.wasu.cs.mvp.IView;

import com.wasu.cs.mvp.model.AssetsDataModel;

import java.util.List;

/**
 * Created by Danxx on 2016/6/23.
 * 首页VIP页面的MvpView接口
 */
public interface IVIPMvpView extends IMainMVPView {
    /**
     * 获取数据成功后回调
     */
    void getBannerLeftSuccess(List<AssetsDataModel> blData);

    void getBannerMiddleSuccess(List<AssetsDataModel> bmData);

    void getBannerRightSuccess(List<AssetsDataModel> brData);

    void getBodySuccess(List<AssetsDataModel> brData);
    /**
     * 获取数据失败
     * @param e
     */
    void getDataError(Throwable e);

    /**
     * 显示loading
     */
    void showProgress();

    /**
     * 隐藏loading
     */
    void hideProgress();



}
